#
# spec file for package python-rfc3986
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rfc3986
Version:        1.1.0
Release:        lp150.1.3
Summary:        Validating URI References per RFC 3986
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://rfc3986.rtfd.org
Source:         https://pypi.io/packages/source/r/rfc3986/rfc3986-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
A Python implementation of `RFC 3986`_ including validation and authority
parsing. Coming soon: `Reference Resolution <http://tools.ietf.org/html/rfc3986#section-5>`_.

%prep
%setup -q -n rfc3986-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Aug 10 2017 tbechtold@suse.com
- update to 1.1.0:
  * Bump version to 1.1.0
  * Fix theme setting for documentation
  * Exclude solitary line from coverage
  * Note the version we added Validator in
  * Fix documentation builds on RTD
  * Add check_validity_of to vaildator docs
  * Add some chars (!, =, etc) as allowed to the userinfo part of authority
  * Add release notes for v1.1.0
  * Add a separate testcase for special chars in userinfo and revert changes to other tests
  * Add validation to eliminate URIReference.is_valid
  * Add deprecation notices to old URIReference methods
  * Make tests fail: add "%%20!=" part to userinfo which is allowed as per RFC3986
- Convert to singlespec
* Sat Jun 10 2017 dmueller@suse.com
- update to 1.0.0:
  * Add support for :rfc:`6874` - Zone Identifiers in IPv6 Addresses
  * Add a more flexible and usable validation framework. See our documentation
    for more information.
  * Add an object to aid in building new URIs from scratch. See our
    documentation for more information.
  * Allow ``None`` to be used to eliminate components via ``copy_with`` for URIs
    and ParseResults.
* Wed Aug 31 2016 tbechtold@suse.com
- update to 0.4.1:
  - Normalize URIs constructed using ``ParseResult.from_parts`` and
    ``ParseResultBytes.from_parts``
  - Add ``ParseResult.from_parts`` and ``ParseResultBytes.from_parts`` class
    methods to easily create a ParseResult
  - When using regular expressions, use ``[0-9]`` instead of ``\d`` to avoid
    finding ports with "numerals" that are not valid in a port
  - Preserve empty query strings during normalization
  - Read README and HISTORY files using the appropriate codec so rfc3986 can be
    installed on systems with locale's other than utf-8 (specifically C)
  - Replace the standard library's urlparse behaviour
  - Update the regular name regular expression to accept all of the characters
    allowed in the RFC. Closes bug #11 (Thanks Viktor Haag). Previously URIs
    similar to "http://http-bin.org" would be considered invalid.
- Use pypi.io for Source url
* Fri Aug 29 2014 dmueller@suse.com
- Initial package (0.2.0)
